Skip to content

Get site details​

GET
/sites/{siteId}

Return site details and optionally its devices.

Authorizations​

AccessToken
Type
HTTP (bearer)

Parameters​

Path Parameters

siteId*

Site ID

Type
string
Required

Query Parameters

includeDevices

Whether to include device details, default true

Type
boolean
Default
true

Responses​

Site details and device list returned successfully

application/json
object

Site details (includes device list)

Site unique identifier

Site name

Country code (ISO 3166-1 alpha-2), such as CN, US, DE, JP

Full address

Timezone

Installation date

Format"date-time"

Grid meter ID provided by utility company, e.g. NMI in Australia, MPRN in UK

Grid connection type: Single phase or Three phase

Valid values"singlePhase""threePhase"

Grid standard/safety code (VDE-AR-N 4105, G99, NB/T 32004)

Owner

Total PV installed capacity (kW)

Format"double"

Total battery storage capacity (kWh)

Format"double"

Total rated active power of all inverters (kW)

Format"double"

Site total maximum charge power (kW)

Format"double"

Site total maximum discharge power (kW)

Format"double"

Total maximum reactive power (kvar)

Format"double"

Fault status

Valid values"normal""fault""alarm"
object[]

All devices under the site

Playground​

Authorization
Variables
Key
Value